# CurrentTime

The CurrentTime property returns how much time has passed since the start of the game's execution in seconds. This value changes every frame - specifically when calling [FlatRedBallServices.Update](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php). This value will only change whenever [FlatRedBallServices.Update](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php), meaning it will be the same value throughout the entire frame. Therefore, this value can be used to uniquely identify a frame.

CurrentTime advances according to TimeFactor, which defaults to 1. If TimeFactor is greater than 1, then CurrentTime advances more quickly. If TimeFactor is less than 1, CurrentTime advances more slowly.

CurrentTime is not affected by pausing the game. If a screen is paused, CurrentTime still advances normally every frame.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/timemanager/currenttime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
